%define major	0
%define gmajor	1.0
%define api	1.0
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} -d
%define girname	%mklibname %{name}-gir %{gmajor}

Name:           gitg
Version:        44
Release:        %mkrel 8
Summary:        GTK+ graphical interface for the git revision control system
Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://trac.novowork.com/gitg
Source0:        https://download.gnome.org/sources/gitg/%{url_ver}/%{name}-%{version}.tar.xz
Patch101:	gitg-3.30.1-typelib-req.patch
Patch102:	0001-Port-plugin-engine-to-girepository-2.0.patch
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(libdazzle-1.0)
BuildRequires:	pkgconfig(libgit2-glib-1.0) >= 1.2.0
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libsecret-1)
Requires:	git-core
Requires:	gsettings-desktop-schemas
Requires:	python3-gobject3
Requires:	typelib(Gitg)
# gi-find-deps.sh doesn't handle vala
Requires:	typelib(Peas)
Requires:	typelib(PeasGtk)

# Replace giggle, dead upstream
Obsoletes:	giggle < 0.7-13
Obsoletes:	%{_lib}giggle-devel < 0.7-13
Obsoletes:	%{_lib}giggle0 < 0.7-13

%description
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package -n %{libname}
Summary:	Backend Library for gitg
Group:		System/Libraries

%description -n %{libname}
libgitg is a GObject based library that provides an easy access to git methods
through GObject based methods

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{name} < 0.3.2-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.3.2-2

%description -n %{devname}
This package contains development files for %{name}.

%prep
%autosetup -p1

# switch to gtksourceview 4
sed -i -e 's/gtksourceview-3.0/gtksourceview-4/g' meson.build

# drop RPATH
sed -i -e '/install_rpath/d' gitg/meson.build

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}*
%{_datadir}/icons/hicolor/*/apps/org.gnome.gitg*.*
%{_datadir}/glib-2.0/schemas/org.gnome.gitg.gschema.xml
%{_datadir}/applications/org.gnome.gitg.desktop
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/gitg/plugins/diff.plugin
%{_libdir}/gitg/plugins/files.plugin
%{_libdir}/gitg/plugins/libdiff.so
%{_libdir}/gitg/plugins/libfiles.so
%{_datadir}/metainfo/org.gnome.gitg.appdata.xml
%{python3_sitelib}/gi/overrides/*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}
%{_libdir}/lib%{name}-ext-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gitg-%{gmajor}.typelib
%{_libdir}/girepository-1.0/GitgExt-%{gmajor}.typelib

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/libgitg-ext-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc
%{_libdir}/pkgconfig/libgitg-ext-%{api}.pc
%{_datadir}/glade/catalogs/gitg-glade.xml
%{_datadir}/gir-1.0/Gitg{,Ext}-%{gmajor}.gir
%{_datadir}/vala/vapi/*.vapi


%changelog
* Sun Mar 23 2025 wally <wally> 44-8.mga10
+ Revision: 2169276
- port to girepository-2.0

* Sun Mar 16 2025 wally <wally> 44-7.mga10
+ Revision: 2164803
- rebuild for libxml2 2.13.6

* Wed Feb 26 2025 wally <wally> 44-6.mga10
+ Revision: 2153011
- rebuild for python3.13

* Thu Feb 06 2025 daviddavid <daviddavid> 44-5.mga10
+ Revision: 2145752
- rebuild for new libgit2 1.9.0

* Thu Sep 19 2024 daviddavid <daviddavid> 44-4.mga10
+ Revision: 2099054
- rebuild for new gspell 1.14.0

* Sat Dec 09 2023 wally <wally> 44-3.mga10
+ Revision: 2016163
- rebuild for py3.12

* Tue Oct 03 2023 daviddavid <daviddavid> 44-2.mga10
+ Revision: 1993549
- dependency libsoup2.4 no more used

* Sat Sep 09 2023 daviddavid <daviddavid> 44-1.mga10
+ Revision: 1985580
- new version 44

* Sun Aug 14 2022 tv <tv> 41-4.mga9
+ Revision: 1877533
- Fix build with meson-0.60

* Thu Mar 31 2022 umeabot <umeabot> 41-3.mga9
+ Revision: 1837202
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 41-2.mga9
+ Revision: 1772378
- rebuild for python3.10

* Mon Jan 03 2022 wally <wally> 41-1.mga9
+ Revision: 1766461
- new version 41

* Sun Sep 05 2021 wally <wally> 3.32.1-9.mga9
+ Revision: 1744323
- obsolete and replace giggle

* Mon Mar 15 2021 wally <wally> 3.32.1-8.mga9
+ Revision: 1703640
- rebuild for python 3.9

* Sun Jan 10 2021 wally <wally> 3.32.1-7.mga8
+ Revision: 1670636
- build with gtksourceview 4

* Sun Feb 16 2020 umeabot <umeabot> 3.32.1-6.mga8
+ Revision: 1532177
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 3.32.1-5.mga8
+ Revision: 1441852
- rebuild for libpeas

* Mon Sep 16 2019 tv <tv> 3.32.1-4.mga8
+ Revision: 1441851
- rebuild for libpeas

* Sun Sep 08 2019 wally <wally> 3.32.1-3.mga8
+ Revision: 1438434
- rebuild for python3.8

* Wed Aug 07 2019 tv <tv> 3.32.1-2.mga8
+ Revision: 1427963
- rebuild for new libpeas

* Thu Jul 25 2019 ovitters <ovitters> 3.32.1-1.mga8
+ Revision: 1423939
- new version 3.32.1

* Sat Jun 29 2019 wally <wally> 3.32.0-1.mga8
+ Revision: 1416082
- new version 3.32.0
- drop patches from upstream
- update typelib requires patch

* Wed Apr 17 2019 umeabot <umeabot> 3.30.1-4.mga7
+ Revision: 1392233
- Rebuild with meson 0.50.1

* Sat Mar 23 2019 wally <wally> 3.30.1-3.mga7
+ Revision: 1379764
- add upstream patches to fix build

* Mon Jan 07 2019 wally <wally> 3.30.1-2.mga7
+ Revision: 1350685
- rebuild for python3.7

* Sat Oct 27 2018 wally <wally> 3.30.1-1.mga7
+ Revision: 1326207
- new version 3.30.1

* Thu Oct 11 2018 wally <wally> 3.30.0-2.mga7
+ Revision: 1319582
- add patch to drop generated lib requires from gir typelibs for now

* Wed Oct 10 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1319279
- new version: 3.30.0
- switch to meson build system

* Sun Sep 23 2018 umeabot <umeabot> 3.26.0-3.mga7
+ Revision: 1297897
- Mageia 7 Mass Rebuild

* Tue Jul 10 2018 daviddavid <daviddavid> 3.26.0-2.mga7
+ Revision: 1242895
- rebuild against fixed libgit2-glib

* Mon Aug 21 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1142736
- new version 3.26.0

* Sat Aug 05 2017 tv <tv> 3.24.0-3.mga7
+ Revision: 1136983
- fix the build with libgit2 0.26
- rebuild for new python
+ pterjan <pterjan>
- Rebuild for python 3.6

* Sun Apr 30 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1098146
- new version 3.24.0

* Wed Mar 22 2017 ovitters <ovitters> 3.23.90-1.mga6
+ Revision: 1094327
- new version 3.23.90

* Mon Sep 26 2016 tv <tv> 3.22.0-2.mga6
+ Revision: 1056867
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055711
- new version 3.22.0

* Sat Aug 27 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1049194
- new version 3.20.2

* Thu Aug 18 2016 wally <wally> 3.20.1-1.mga6
+ Revision: 1046913
- new version 3.20.1

* Wed Apr 27 2016 daviddavid <daviddavid> 3.20.0-2.mga6
+ Revision: 1006927
- use new python macros
- replace BR python3 to pkgconfig(python3)

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993134
- new version 3.20.0

* Thu Feb 04 2016 ovitters <ovitters> 3.19.6-1.mga6
+ Revision: 936129
- new version 3.19.6

* Tue Jan 26 2016 ovitters <ovitters> 3.19.5-1.mga6
+ Revision: 927836
- new version 3.19.5

* Fri Jan 08 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 920598
- new version 3.19.4

* Fri Dec 25 2015 wally <wally> 3.19.3-1.mga6
+ Revision: 914592
- new version 3.19.3

* Tue Dec 22 2015 tv <tv> 3.19.2-2.mga6
+ Revision: 913390
- new release

* Mon Dec 21 2015 tv <tv> 3.19.1-2.mga6
+ Revision: 912884
- new release

* Wed Oct 07 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 887029
- rebuild for new python3

* Tue Sep 22 2015 wally <wally> 3.18.0-1.mga6
+ Revision: 882213
- new version 3.18.0

* Sat Aug 08 2015 wally <wally> 3.17.1-1.mga6
+ Revision: 861656
- new version 3.17.1

* Fri Aug 07 2015 wally <wally> 3.16.2-0.git20150807.1.mga6
+ Revision: 861612
- build latest git snapshot
- drop Webkit2 patch and do the same in .spec with sed

* Mon Jun 29 2015 wally <wally> 3.16.1-3.mga6
+ Revision: 847927
- add requires for gir pkg to devel pkg

* Fri Jun 26 2015 tv <tv> 3.16.1-2.mga6
+ Revision: 844541
- add missing requires

* Tue Jun 23 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 839948
- new version 3.16.1

* Wed Dec 24 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 805421
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 749290
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 730898
- new version 3.14.0
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ fwang <fwang>
- revert to webgtk2 3.0

* Thu Aug 28 2014 fwang <fwang> 3.13.91-2.mga5
+ Revision: 669048
- add python3 plugin
- include correct api of webkit2
- br python3
- bump req

* Wed Aug 20 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 666062
- new version 3.13.91

* Wed Aug 20 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665972
- new version 3.13.90

* Mon Jun 30 2014 ovitters <ovitters> 0.3.3-1.mga5
+ Revision: 641590
- new version 0.3.3

* Sat Mar 08 2014 wally <wally> 0.3.2-2.mga5
+ Revision: 601199
- own some unowned dirs
- split out gir typelibs
- move vala files to devel pkg

* Tue Feb 04 2014 tv <tv> 0.3.2-1.mga5
+ Revision: 582570
- new vala release
+ wally <wally>
- new version 0.3.2

* Sat Oct 19 2013 umeabot <umeabot> 0.2.7-4.mga4
+ Revision: 533974
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 wally <wally> 0.2.7-3.mga4
+ Revision: 475872
- fix build with latest gtk
- drop glade catalog

* Tue May 28 2013 fwang <fwang> 0.2.7-2.mga4
+ Revision: 429064
- rebuild for new gtksourceview

* Thu May 23 2013 wally <wally> 0.2.7-1.mga4
+ Revision: 425045
- new version 0.2.7

* Fri Mar 29 2013 wally <wally> 0.2.6-1.mga3
+ Revision: 406473
- new version 0.2.6

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-3.mga3
+ Revision: 351582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 wally <wally> 0.2.5-2.mga3
+ Revision: 298988
- require git-core instead of git (mga#7607)
- fix source url
+ tv <tv>
- clean spec

* Fri Sep 02 2011 wally <wally> 0.2.5-1.mga2
+ Revision: 137897
- imported package gitg

